<div class="container" fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="3rem">
  <mat-spinner
    *ngIf="
      progressStatus === loginProgressStatusType.MSAL_AUTHENTICATING ||
      progressStatus === loginProgressStatusType.SG_AUTHENTICATING
    "
    class="loading-shade"
  ></mat-spinner>
  <h5>
    <div [ngSwitch]="progressStatus">
      <div *ngSwitchCase="loginProgressStatusType.MSAL_AUTHENTICATING">Connecting to Microsoft...</div>
      <div *ngSwitchCase="loginProgressStatusType.SG_AUTHENTICATING">Connecting to SenecaGlobal...</div>
      <div *ngSwitchCase="loginProgressStatusType.SG_AUTHENTICATION_FAILED">
        <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="1rem">
          <div>
            <mat-icon color="accent" class="wifi_find">wifi_find</mat-icon>
          </div>

          <h2>Failed connecting to SenecaGlobal!</h2>
          <label>Make sure you have enough access to SenecaGlobal network services</label>

          <button mat-flat-button color="primary" (click)="getSGAccessToken()">Retry</button>
        </div>
      </div>
      <div *ngSwitchDefault>All good! Taking you to the app...</div>
    </div>
  </h5>
</div>
